clc;
clear;

%Ova skripta racuna efektivne vrednosti napona i struje, kao i srednju 
%snagu omskog opterecenja, prikljucenom na izlazne krajeve monofaznog 
%faznog regulatora, za razlicite uglove paljenja tiristora.
%Rezultate proracuna uneti u Tabelu 1 uputstva za lab. vezbu broj 1, pre
%dolaska na vezbu

R=20; %[Omh] otpornost opterecenja
E=60; %[V} efektivna vrednost ulaznog napona
alpha=[0 18 36 54 72 90 108 126 144 172 180] %ugao paljenja u stepenima
alpha=alpha*pi/180; %ugao paljenja u radijanima

disp(sprintf('*******************************************************************************'))
disp(sprintf('                     EFEKTIVNA VREDNOST NAPONA NA OPTERECENJU [V]:  '))
U=E*sqrt(1-alpha/pi+sin(2*alpha)/(2*pi))

disp(sprintf('*******************************************************************************'))
disp(sprintf('                     EFEKTIVNA VREDNOST STRUJE OPTERECENJA [A]:  '))
I=U/R

disp(sprintf('*******************************************************************************'))
disp(sprintf('                     AKTIVNA SNAGA NA OPTERECENJU [W]:  '))
P=U.*I


